""" Contains all the data models used in inputs/outputs """

from .cohort_coverage import CohortCoverage
from .cohort_coverage_error import CohortCoverageError
from .cohort_coverage_info import CohortCoverageInfo
from .cohort_coverage_not_found import CohortCoverageNotFound
from .cohort_coverage_unauthorized import CohortCoverageUnauthorized
from .cohort_historical_prepayments import CohortHistoricalPrepayments
from .cohort_historical_prepayments_error import CohortHistoricalPrepaymentsError
from .cohort_historical_prepayments_not_found import CohortHistoricalPrepaymentsNotFound
from .cohort_historical_prepayments_unauthorized import (
    CohortHistoricalPrepaymentsUnauthorized,
)
from .cohort_pool_component import CohortPoolComponent
from .cohort_pool_components import CohortPoolComponents
from .cohort_pool_components_error import CohortPoolComponentsError
from .cohort_pool_components_not_found import CohortPoolComponentsNotFound
from .cohort_pool_components_unauthorized import CohortPoolComponentsUnauthorized
from .cohort_prepayment_date import CohortPrepaymentDate
from .cohort_service_get_cohort_summary_response_401_details_item import (
    CohortService_GetCohortSummaryResponse_401DetailsItem,
)
from .cohort_service_get_cohort_summary_response_404_details_item import (
    CohortService_GetCohortSummaryResponse_404DetailsItem,
)
from .cohort_service_get_cohort_summary_response_500_details_item import (
    CohortService_GetCohortSummaryResponse_500DetailsItem,
)
from .cohort_service_get_coverage_summary_response_401_details_item import (
    CohortService_GetCoverageSummaryResponse_401DetailsItem,
)
from .cohort_service_get_coverage_summary_response_404_details_item import (
    CohortService_GetCoverageSummaryResponse_404DetailsItem,
)
from .cohort_service_get_coverage_summary_response_500_details_item import (
    CohortService_GetCoverageSummaryResponse_500DetailsItem,
)
from .cohort_service_get_historical_prepayments_response_200_perfs_item import (
    CohortService_GetHistoricalPrepaymentsResponse_200PerfsItem,
)
from .cohort_service_get_historical_prepayments_response_401_details_item import (
    CohortService_GetHistoricalPrepaymentsResponse_401DetailsItem,
)
from .cohort_service_get_historical_prepayments_response_404_details_item import (
    CohortService_GetHistoricalPrepaymentsResponse_404DetailsItem,
)
from .cohort_service_get_historical_prepayments_response_500_details_item import (
    CohortService_GetHistoricalPrepaymentsResponse_500DetailsItem,
)
from .cohort_service_get_pool_components_response_401_details_item import (
    CohortService_GetPoolComponentsResponse_401DetailsItem,
)
from .cohort_service_get_pool_components_response_404_details_item import (
    CohortService_GetPoolComponentsResponse_404DetailsItem,
)
from .cohort_service_get_pool_components_response_500_details_item import (
    CohortService_GetPoolComponentsResponse_500DetailsItem,
)
from .cohort_summary import CohortSummary
from .cohort_summary_error import CohortSummaryError
from .cohort_summary_not_found import CohortSummaryNotFound
from .cohort_summary_unauthorized import CohortSummaryUnauthorized
from .issue_date import IssueDate
from .latest_cohort_prediction import LatestCohortPrediction
from .latest_cohort_prediction_bad_request import LatestCohortPredictionBadRequest
from .latest_cohort_prediction_error import LatestCohortPredictionError
from .latest_cohort_prediction_not_found import LatestCohortPredictionNotFound
from .latest_cohort_prediction_unauthorized import LatestCohortPredictionUnauthorized
from .latest_pool_predictions import LatestPoolPredictions
from .latest_pool_predictions_bad_request import LatestPoolPredictionsBadRequest
from .latest_pool_predictions_error import LatestPoolPredictionsError
from .latest_pool_predictions_not_found import LatestPoolPredictionsNotFound
from .latest_pool_predictions_unauthorized import LatestPoolPredictionsUnauthorized
from .latest_portfolio_prediction import LatestPortfolioPrediction
from .latest_portfolio_prediction_bad_request import LatestPortfolioPredictionBadRequest
from .latest_portfolio_prediction_error import LatestPortfolioPredictionError
from .latest_portfolio_prediction_not_found import LatestPortfolioPredictionNotFound
from .latest_portfolio_prediction_unauthorized import (
    LatestPortfolioPredictionUnauthorized,
)
from .maturity_date import MaturityDate
from .pool import Pool
from .pool_attributes import PoolAttributes
from .pool_error import PoolError
from .pool_historical_prepayments import PoolHistoricalPrepayments
from .pool_historical_prepayments_error import PoolHistoricalPrepaymentsError
from .pool_historical_prepayments_not_found import PoolHistoricalPrepaymentsNotFound
from .pool_historical_prepayments_unauthorized import (
    PoolHistoricalPrepaymentsUnauthorized,
)
from .pool_not_found import PoolNotFound
from .pool_prediction import PoolPrediction
from .pool_prepayment_date import PoolPrepaymentDate
from .pool_service_coverage_check_response_200 import (
    PoolService_CoverageCheckResponse_200,
)
from .pool_service_coverage_check_response_200_responses_item import (
    PoolService_CoverageCheckResponse_200ResponsesItem,
)
from .pool_service_coverage_check_response_401 import (
    PoolService_CoverageCheckResponse_401,
)
from .pool_service_coverage_check_response_401_details_item import (
    PoolService_CoverageCheckResponse_401DetailsItem,
)
from .pool_service_coverage_check_response_404 import (
    PoolService_CoverageCheckResponse_404,
)
from .pool_service_coverage_check_response_404_details_item import (
    PoolService_CoverageCheckResponse_404DetailsItem,
)
from .pool_service_coverage_check_response_500 import (
    PoolService_CoverageCheckResponse_500,
)
from .pool_service_coverage_check_response_500_details_item import (
    PoolService_CoverageCheckResponse_500DetailsItem,
)
from .pool_service_get_historical_prepayments_response_200_prepayments_item import (
    PoolService_GetHistoricalPrepaymentsResponse_200PrepaymentsItem,
)
from .pool_service_get_historical_prepayments_response_200_prepayments_item_perfs_item import (
    PoolService_GetHistoricalPrepaymentsResponse_200PrepaymentsItemPerfsItem,
)
from .pool_service_get_historical_prepayments_response_401_details_item import (
    PoolService_GetHistoricalPrepaymentsResponse_401DetailsItem,
)
from .pool_service_get_historical_prepayments_response_404_details_item import (
    PoolService_GetHistoricalPrepaymentsResponse_404DetailsItem,
)
from .pool_service_get_historical_prepayments_response_500_details_item import (
    PoolService_GetHistoricalPrepaymentsResponse_500DetailsItem,
)
from .pool_service_get_pools_response_200_poolattributes_agency_ticker import (
    PoolService_GetPoolsResponse_200PoolattributesAgencyTicker,
)
from .pool_service_get_pools_response_200_poolattributes_agencybackingthepool import (
    PoolService_GetPoolsResponse_200PoolattributesAgencybackingthepool,
)
from .pool_service_get_pools_response_200_poolattributes_coupon_type_fixarm import (
    PoolService_GetPoolsResponse_200PoolattributesCouponTypeFIXARM,
)
from .pool_service_get_pools_response_401_details_item import (
    PoolService_GetPoolsResponse_401DetailsItem,
)
from .pool_service_get_pools_response_404_details_item import (
    PoolService_GetPoolsResponse_404DetailsItem,
)
from .pool_service_get_pools_response_500_details_item import (
    PoolService_GetPoolsResponse_500DetailsItem,
)
from .pool_service_get_summaries_response_401_details_item import (
    PoolService_GetSummariesResponse_401DetailsItem,
)
from .pool_service_get_summaries_response_404_details_item import (
    PoolService_GetSummariesResponse_404DetailsItem,
)
from .pool_service_get_summaries_response_500_details_item import (
    PoolService_GetSummariesResponse_500DetailsItem,
)
from .pool_summaries import PoolSummaries
from .pool_summaries_error import PoolSummariesError
from .pool_summaries_not_found import PoolSummariesNotFound
from .pool_summaries_unauthorized import PoolSummariesUnauthorized
from .pool_summary_item import PoolSummaryItem
from .pool_summary_loans_occupancies import PoolSummaryLoansOccupancies
from .pool_summary_loans_purpose import PoolSummaryLoansPurpose
from .pool_unauthorized import PoolUnauthorized
from .prediction_service_get_latest_cohort_response_200_values_item import (
    PredictionService_GetLatestCohortResponse_200ValuesItem,
)
from .prediction_service_get_latest_cohort_response_200_values_item_date import (
    PredictionService_GetLatestCohortResponse_200ValuesItemDate,
)
from .prediction_service_get_latest_cohort_response_400_details_item import (
    PredictionService_GetLatestCohortResponse_400DetailsItem,
)
from .prediction_service_get_latest_cohort_response_401_details_item import (
    PredictionService_GetLatestCohortResponse_401DetailsItem,
)
from .prediction_service_get_latest_cohort_response_404_details_item import (
    PredictionService_GetLatestCohortResponse_404DetailsItem,
)
from .prediction_service_get_latest_cohort_response_500_details_item import (
    PredictionService_GetLatestCohortResponse_500DetailsItem,
)
from .prediction_service_get_latest_pools_response_200_predictions_item_values_item import (
    PredictionService_GetLatestPoolsResponse_200PredictionsItemValuesItem,
)
from .prediction_service_get_latest_pools_response_200_predictions_item_values_item_date import (
    PredictionService_GetLatestPoolsResponse_200PredictionsItemValuesItemDate,
)
from .prediction_service_get_latest_pools_response_400_details_item import (
    PredictionService_GetLatestPoolsResponse_400DetailsItem,
)
from .prediction_service_get_latest_pools_response_401_details_item import (
    PredictionService_GetLatestPoolsResponse_401DetailsItem,
)
from .prediction_service_get_latest_pools_response_404_details_item import (
    PredictionService_GetLatestPoolsResponse_404DetailsItem,
)
from .prediction_service_get_latest_pools_response_500_details_item import (
    PredictionService_GetLatestPoolsResponse_500DetailsItem,
)
from .prediction_service_get_latest_portfolio_response_200_values_item import (
    PredictionService_GetLatestPortfolioResponse_200ValuesItem,
)
from .prediction_service_get_latest_portfolio_response_200_values_item_date import (
    PredictionService_GetLatestPortfolioResponse_200ValuesItemDate,
)
from .prediction_service_get_latest_portfolio_response_400_details_item import (
    PredictionService_GetLatestPortfolioResponse_400DetailsItem,
)
from .prediction_service_get_latest_portfolio_response_401_details_item import (
    PredictionService_GetLatestPortfolioResponse_401DetailsItem,
)
from .prediction_service_get_latest_portfolio_response_404_details_item import (
    PredictionService_GetLatestPortfolioResponse_404DetailsItem,
)
from .prediction_service_get_latest_portfolio_response_500_details_item import (
    PredictionService_GetLatestPortfolioResponse_500DetailsItem,
)
